services:
    capital_engineering:
        build:
            context: docker
            dockerfile: Dockerfile
            args:
                WWWGROUP: '1000'
                DOPPLER_SECRET: dp.st.dev.MgeLQ0mJ9E9xDvnW85tio7QCz6rI4OvRY9rlvREnShX
        image: capital_engineering
        container_name: capital_engineering
        extra_hosts:
            - 'host.docker.internal:host-gateway'
        ports:
            - '8000:80'
            - '5173:5173'
        environment:
            WWWUSER: '${WWWUSER}'
            LARAVEL_SAIL: 1
            XDEBUG_MODE: '${SAIL_XDEBUG_MODE:-off}'
            XDEBUG_CONFIG: '${SAIL_XDEBUG_CONFIG:-client_host=host.docker.internal}'
            IGNITION_LOCAL_SITES_PATH: '${PWD}'
        volumes:
            - '.:/var/www/html'
        networks:
            - ces_network_private
networks:
    ces_network_private:
        external: true
